Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.stock_estimates.get_ebit_estimate(symbol="AAPL", freq=models.ReportingFrequency.QUARTERLY)
assert res.ebit_estimates_response is not None
# Handle response
print(res.ebit_estimates_response)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.stockEstimates.getEBITEstimate({
symbol: "AAPL",
freq: "quarterly",
});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/stock/ebit-estimate \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/stock/ebit-estimate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/stock/ebit-estimate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/stock/ebit-estimate"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/stock/ebit-estimate")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/stock/ebit-estimate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ebitEstimates": {
"data": [
{
"ebitAvg": 36118999040,
"ebitHigh": 37274001408,
"ebitLow": 34582003712,
"numberAnalysts": 25,
"period": "2027-09-30",
"quarter": 4,
"year": 2027
},
{
"ebitAvg": 26133999616,
"ebitHigh": 26983999488,
"ebitLow": 24916000768,
"numberAnalysts": 25,
"period": "2027-06-30",
"quarter": 3,
"year": 2027
},
{
"ebitAvg": 23142000640,
"ebitHigh": 23946999808,
"ebitLow": 21992001536,
"numberAnalysts": 25,
"period": "2027-03-31",
"quarter": 2,
"year": 2027
}
],
"freq": "quarterly",
"symbol": "AAPL"
}
}Stock Estimates
EBIT Estimates
Retrieve analyst EBIT (Earnings Before Interest and Taxes) estimates for operating profitability analysis. Monitor core earnings expectations excluding financing costs.
Use Case: Track operating margin trends by comparing EBIT estimates to revenue forecasts.
GET
/
v1
/
stock
/
ebit-estimate
Python (SDK)
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.stock_estimates.get_ebit_estimate(symbol="AAPL", freq=models.ReportingFrequency.QUARTERLY)
assert res.ebit_estimates_response is not None
# Handle response
print(res.ebit_estimates_response)import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.stockEstimates.getEBITEstimate({
symbol: "AAPL",
freq: "quarterly",
});
console.log(result);
}
run();curl --request GET \
--url https://api.aries.com/v1/stock/ebit-estimate \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/stock/ebit-estimate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/stock/ebit-estimate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/stock/ebit-estimate"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/stock/ebit-estimate")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/stock/ebit-estimate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ebitEstimates": {
"data": [
{
"ebitAvg": 36118999040,
"ebitHigh": 37274001408,
"ebitLow": 34582003712,
"numberAnalysts": 25,
"period": "2027-09-30",
"quarter": 4,
"year": 2027
},
{
"ebitAvg": 26133999616,
"ebitHigh": 26983999488,
"ebitLow": 24916000768,
"numberAnalysts": 25,
"period": "2027-06-30",
"quarter": 3,
"year": 2027
},
{
"ebitAvg": 23142000640,
"ebitHigh": 23946999808,
"ebitLow": 21992001536,
"numberAnalysts": 25,
"period": "2027-03-31",
"quarter": 2,
"year": 2027
}
],
"freq": "quarterly",
"symbol": "AAPL"
}
}Authorizations
Query Parameters
Was this page helpful?